Assignments Assignments

Public Member Functions | Static Public Member Functions | Public Attributes | Static Public Attributes | List of all members
Image::OrientedLineSegment Class Reference

`#include <lineSegments.h>`

Inheritance diagram for Image::OrientedLineSegment:

## Public Member Functions
double | getWeight (Util::Point2D p) const
double | length (void) const
double | distance (Util::Point2D p) const
Util::Point2D | perpendicular (void) const
OrientedLineSegment | operator* (double s) const
OrientedLineSegment | operator+ (const OrientedLineSegment &ols) const

## Static Public Member Functions
static Util::Point2D | GetSourcePosition (const OrientedLineSegment &source, const OrientedLineSegment &destination, Util::Point2D target)

## Public Attributes
Util::Point2D | endPoints [2]

## Static Public Attributes
static const double | A =1
static const double | B =1
static const double | P =1

## Detailed Description

This class represents an oriented line segment.

## Member Function Documentation

## ◆ distance()

double OrientedLineSegment::distance | ( | Util::Point2D | p | ) | const

This method returns the distance of a point from the line segment.

## ◆ GetSourcePosition()

Point2D OrientedLineSegment::GetSourcePosition | ( | const OrientedLineSegment & | source,
|  | const OrientedLineSegment & | destination,
|  | Util::Point2D | target )
| static

This static method sets the value of the source pixel position given the destination pixel position and a pair of corresponding source and destination line segments

## ◆ getWeight()

double OrientedLineSegment::getWeight | ( | Util::Point2D | p | ) | const

Given a point p, this method returns the weight of the line segment's contribution to the point.

## ◆ length()

double OrientedLineSegment::length | ( | void |  | ) | const

This method returns the length of the line segment.

## ◆ operator*()

OrientedLineSegment OrientedLineSegment::operator* | ( | double | s | ) | const

Scaling method for VectorSpace

## ◆ operator+()

OrientedLineSegment OrientedLineSegment::operator+ | ( | const OrientedLineSegment & | ols | ) | const

Addition method for VectorSpace

## ◆ perpendicular()

Point2D OrientedLineSegment::perpendicular | ( | void |  | ) | const

This method returns the unit-vector perpendicular to the direction of the line segment.

## Member Data Documentation

## ◆ A

const double OrientedLineSegment::A =1
| static

The constant offset for the denominator in the weight function for Beier-Neely morphing.

## ◆ B

const double OrientedLineSegment::B =1
| static

The numerator exponent in the weight function for Beier-Neely morphing.

## ◆ endPoints

Util::Point2D Image::OrientedLineSegment::endPoints[2]

The end-points of the line segment.

## ◆ P

const double OrientedLineSegment::P =1
| static

The total exponent in the weight function for Beier-Neely morphing.

The documentation for this class was generated from the following files:

- Assignments/Image/lineSegments.h
- Assignments/Image/lineSegments.cpp
- Assignments/Image/lineSegments.todo.cpp